﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Salient6.MvcSamples.Common.Tests {

    [TestClass]
    public class GuardTest {

        [TestMethod]
        public void AgainstNullParameterDoesNotThrowExceptionWhenIsNotNull() {
            Guard.AgainstNullParameter("value", "value");
        }

        [TestMethod]
        [ExpectedException(typeof(ArgumentNullException))]
        public void AgainstNullParameterThrowsExceptionWhenNull() {
            Guard.AgainstNullParameter(null, "value");
        }
    }
}
