﻿using System;

namespace Salient6.MvcSamples.Common.Extensions {

    public static class StringExtensions {

        public static bool HasValue(this string value) {
            return !string.IsNullOrEmpty(value) && value.Trim().Length > 0;
        }

        public static bool IsEqualTo(this string value, string other) {
            return value.Equals(other, StringComparison.OrdinalIgnoreCase);
        }
    }
}
