﻿using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace Salient6.MvcSamples.Web {

    public class MvcSamplesApplication : HttpApplication {

        public static void RegisterRoutes(RouteCollection routes) {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");
            routes.IgnoreRoute("content/{*pathInfo}");
            routes.IgnoreRoute("favicon.ico");

            routes.MapRoute(
                "Default",
                "{controller}/{action}/{id}",
                new { controller = "home", action = "index", id = "" }
            );
        }

        protected void Application_Start() {
            RegisterRoutes(RouteTable.Routes);
        }
    }
}